/* 
 *   FILE: callbacks.h --
 * AUTHOR: Martin Man <mman@martinman.net>
 *   DATE: 28 December 2005
 *
 * Copyright (c) 2005 Martin Man.
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this application; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __CALLBACKS_H__
#define __CALLBACKS_H__

#include <gtk/gtk.h>

gboolean
on_window_delete_event( GtkWidget * widget, GdkEvent * event,
        gpointer user_data );

void
on_window_destroy( GtkWidget * widget, gpointer user_data );

gboolean
on_window_key_press_event( GtkWidget * widget, GdkEventKey * event,
        gpointer user_data );

void
on_treeview_row_activated( GtkTreeView *treeview,
        GtkTreePath *arg1, GtkTreeViewColumn *arg2, gpointer user_data);

#endif /* __CALLBACKS_H__ */

/* vim: set et ts=4 sw=4 tw=76:
 */
