/* 
 *   FILE: wnck.h --
 * AUTHOR: Martin Man <mman@martinman.net>
 *   DATE: 28 December 2005
 *
 * Copyright (c) 2005 Martin Man.
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this application; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __MY_WNCK_H__
#define __MY_WNCK_H__

#include <libwnck/screen.h>
#include <libwnck/window.h>

GList *
g_list_map( GList * list,
        gpointer b, gpointer data, GCompareDataFunc func );

void
window_list_print( GList * list, const gchar * caption );

GList *
window_list_get( WnckScreen * screen, WnckWindowState ws );

GList *
window_list_filter( GList * list, const gchar * pattern );

#endif /* __MY_WNCK_H__ */

/* vim: set et ts=4 sw=4 tw=76:
 */
